org.apache.kylin.jdbc

## Class KylinPrepare.PrepareResult

- java.lang.Object
- - org.apache.kylin.jdbc.KylinPrepare.PrepareResult

All Implemented Interfaces:
  net.hydromatic.avatica.AvaticaPrepareResult

Enclosing interface:
  KylinPrepare

    public static class KylinPrepare.PrepareResult
    extends Object
    implements net.hydromatic.avatica.AvaticaPrepareResult

The result of preparing a query. It gives the Avatica driver framework the information it needs to create a prepared statement, or to execute a statement directly, without an explicit prepare step.

### Field Summary

Fields
`net.hydromatic.linq4j.Enumerator<Object[]>` `enumerator`
`List<net.hydromatic.avatica.AvaticaParameter>` `parameterList`
`String` `sql`
`net.hydromatic.avatica.ColumnMetaData.StructType` `structType`

### Constructor Summary

Constructors
Constructor and Description
`KylinPrepare.PrepareResult(String sql, List<net.hydromatic.avatica.AvaticaParameter> parameterList, net.hydromatic.linq4j.Enumerator<Object[]> enumerator, net.hydromatic.avatica.ColumnMetaData.StructType structType)`

### Method Summary

Methods
`net.hydromatic.avatica.Cursor` `createCursor()`
`List<net.hydromatic.avatica.ColumnMetaData>` `getColumnList()`
`Map<String,Object>` `getInternalParameters()`
`List<net.hydromatic.avatica.AvaticaParameter>` `getParameterList()`
`String` `getSql()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sql

    public final String sql

#### structType

    public final net.hydromatic.avatica.ColumnMetaData.StructType structType

#### enumerator

    public final net.hydromatic.linq4j.Enumerator<Object[]> enumerator

#### parameterList

    public final List<net.hydromatic.avatica.AvaticaParameter> parameterList

### Constructor Detail

#### KylinPrepare.PrepareResult

    public KylinPrepare.PrepareResult(String sql,
                              List<net.hydromatic.avatica.AvaticaParameter> parameterList,
                              net.hydromatic.linq4j.Enumerator<Object[]> enumerator,
                              net.hydromatic.avatica.ColumnMetaData.StructType structType)

### Method Detail

#### createCursor

    public net.hydromatic.avatica.Cursor createCursor()

#### getColumnList

    public List<net.hydromatic.avatica.ColumnMetaData> getColumnList()

Specified by:
  `getColumnList` in interface `net.hydromatic.avatica.AvaticaPrepareResult`

#### getParameterList

    public List<net.hydromatic.avatica.AvaticaParameter> getParameterList()

Specified by:
  `getParameterList` in interface `net.hydromatic.avatica.AvaticaPrepareResult`

#### getInternalParameters

    public Map<String,Object> getInternalParameters()

Specified by:
  `getInternalParameters` in interface `net.hydromatic.avatica.AvaticaPrepareResult`

#### getSql

    public String getSql()

Specified by:
  `getSql` in interface `net.hydromatic.avatica.AvaticaPrepareResult`